Package org.apache.sysds.runtime.controlprogram.paramserv

## Class ParamServer

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.ParamServer

Direct Known Subclasses:
  `LocalParamServer`, `SparkPSProxy`

    public abstract class ParamServer
    extends Object

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`FunctionCallCPInstruction` `getAggInst()`
`int` `getNumWorkers()`
`ListObject` `getResult()`
`abstract ListObject` `pull​(int workerID)`
`abstract void` `push​(int workerID, ListObject value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### push

    public abstract void push​(int workerID,
                              ListObject value)

#### pull

    public abstract ListObject pull​(int workerID)

#### getResult

    public ListObject getResult()

#### getNumWorkers

    public int getNumWorkers()

#### getAggInst

    public FunctionCallCPInstruction getAggInst()